import TanStackTable from "@/components/table/TanStackTable";
import { Box, Card, Typography } from "@mui/material";
import React from "react";
import CardHeader from "@mui/material/CardHeader";
import CardContent from "@mui/material/CardContent";
import homeServices from "@/services/home.services";

const HomePage = async () => {
  const data = await homeServices.getProducts();
  return (
    <Box>
      <Card>
        <CardHeader>
          <Typography variant="h4">Projects</Typography>
        </CardHeader>
        <CardContent>
          <TanStackTable data={data} />
        </CardContent>
      </Card>
    </Box>
  );
};

export default HomePage;
